petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetSNES

Set the SNES (nonlinear solver) to be used by the timestepping context

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetSNES(TS ts,SNES snes)

Collective Many br

### Input Parameter

| ts | - the TS context obtained from TSCreate() Many br
| snes | - the nonlinear solver context Many br

### Notes

Most users should have the TS created by calling TSGetSNES() Many br

Many br

### Keywords

timestep, set, SNES

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages